// IRemoteAppNotificationService.aidl
package com.microsoft.next.model.notification;
import com.microsoft.next.model.notification.AppNotification;
import com.microsoft.next.model.musicplayer.contract.MusicControlCommand;
import com.microsoft.next.model.musicplayer.contract.MusicCommandScreenStatus;
import com.microsoft.next.model.musicplayer.contract.MusicMetaInfo;
import com.microsoft.next.model.notification.NotificationListenerState;
import android.widget.RemoteViews;
// Declare any non-default types here with import statements
interface IRemoteAppNotificationService {
    /**
     * Demonstrates some basic types that you can use as parameters
     * and return values in AIDL.
     */
    List<AppNotification> getAllNotifications();

    void refreshNotificationCache();

    long getNotificationEnabledTime();

    NotificationListenerState getNotificationListenerState();

    void dismissNotification(in AppNotification notification);

    void dismissAllNotification();

    void clearAllNotifications();

    boolean isNotificationServiceReady();

    boolean isNotificationExists(in AppNotification notification);

    void musicRegister();

    void musicUnregister();

    MusicCommandScreenStatus getMusicControlTime();

    MusicMetaInfo getMetaInfo();

    MusicControlCommand getMusicControlInfo();

    String getMusicAppName();

    RemoteViews getMusicView();
}
